// ID:ID, QuantityRequired:需要王的数量, NumberOfExchanges:可兑换次数, RewardList:奖励道具列表, RewardCount:奖励数量

export default class M_ActivitySetWord {
  private static data =
      {"1":{"ID":1,"QuantityRequired":1,"NumberOfExchanges":15,"RewardList":[23],"RewardCount":[1]}

      ,"2":{"ID":2,"QuantityRequired":3,"NumberOfExchanges":10,"RewardList":[1],"RewardCount":[100000]}

      ,"3":{"ID":3,"QuantityRequired":5,"NumberOfExchanges":5,"RewardList":[1,16],"RewardCount":[150000,30]}

      ,"4":{"ID":4,"QuantityRequired":10,"NumberOfExchanges":3,"RewardList":[1],"RewardCount":[360000]}

      ,"5":{"ID":5,"QuantityRequired":50,"NumberOfExchanges":2,"RewardList":[1,16],"RewardCount":[1800000,200]}

      ,"6":{"ID":6,"QuantityRequired":100,"NumberOfExchanges":1,"RewardList":[1],"RewardCount":[4000000]}

      }// ID:ID, QuantityRequired:需要王的数量, NumberOfExchanges:可兑换次数, RewardList:奖励道具列表, RewardCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}